<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>impyramid</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imcropm.html">&lt;&lt; imcropm</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imresize.html">imresize &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a> &gt; impyramid</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">impyramid</h1>
    <p class="refpurpose">Image pyramid reduction and expansion</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="default">imresize</span><span class="default">(</span><span class="default">imin</span><span class="default">, </span><span class="default">direction</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imin :</span>
      <dd><p class="para">An image which will be downsampled or upsampled.</p></dd></dt>
   <dt><span class="term">direction :</span>
      <dd><p class="para">Can be &#0039;reduce&#0039; or &#0039;expand&#0039;. If direction is &#0039;reduce&#0039;, impyramid computes a Gaussian pyramid reduction of imin by one level. If direction is &#0039;expand&#0039;, impyramid computes a Gaussian pyramid expansion of imin by one level. Gaussian 5x5 filter is currently supported.</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">The output reduced or expanded image.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imout=impyramid(imin,direction) computes a Gaussian pyramid reduction or expasion of imin by one level. Direction can be &#0039;reduce&#0039; or &#0039;expand&#0039;. If imin is mxn and direction is &#0039;reduce&#0039;, then the size of imout is ceil(m/2)xceil(n/2). If direction is &#0039;expand&#0039;, then the size of imout is (2xm)x(2xn).</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">//Compute a four-level multiresolution pyramid of the </span><span class="scilabcomment">&#0039;</span><span class="scilabcomment">lena</span><span class="scilabcomment">&#0039;</span><span class="scilabcomment"> image.</span>

<span class="scilabid">im0</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/</span><span class="scilabstring">&#0034;</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">baboon.png</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">im1</span> <span class="scilaboperator">=</span> <span class="scilabid">impyramid</span><span class="scilabopenclose">(</span><span class="scilabid">im0</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">reduce</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">im2</span> <span class="scilaboperator">=</span> <span class="scilabid">impyramid</span><span class="scilabopenclose">(</span><span class="scilabid">im1</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">reduce</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">im3</span> <span class="scilaboperator">=</span> <span class="scilabid">impyramid</span><span class="scilabopenclose">(</span><span class="scilabid">im2</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">reduce</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>

<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im0</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im1</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im3</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imresize.html" class="link">imresize</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Jia Wu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imcropm.html">&lt;&lt; imcropm</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imresize.html">imresize &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
